﻿@model Tuple<List<WarehouseView>, List<UDF_ARGNS>, List<ItemGroupSAP>>
@{
    Layout = "~/Areas/MasterData/Views/Shared/_Layout.cshtml";
}

<style>
    .dataTables_wrapper .dataTables_length { float: right !important; }
</style>

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/Content/DateTimePicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@ViewBag.Tite</h1>

<!--///////// BLOKE 1/////////-->
<div class="row" style="margin-top:30px;">
    <div class="col-md-6 col-sm-6 col-xs-12">
        <div class="panel panel-default padding-bottom_whs">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@PurchaseOrders.General @PurchaseOrders.Search @PurchaseOrders.Criteria</h3>
            </div>
            <div class="panel-body limitador_whs">
                <div class="row">
                    <label class="col-md-2 control-label">@ItemMaster.IC @ItemMaster.From</label>
                    <div class="col-md-2">
                        @Html.TextBox(ItemMaster.IC + ItemMaster.From, "", new { @Id = "ItemCodeFrom", @Name = "ItemCodeFrom", @placeholder = ItemMaster.From, @class = "form-control" })
                    </div>
                    <div class="col-md-2">
                        <button type="button" class="btn btn-success btn-ls" data-toggle="modal" data-target="#ItemMasterModal" id="SearchItemFrom">
                            <span class="glyphicon glyphicon-search"></span>
                            @PurchaseOrders.Search
                        </button>
                    </div>
                    <label class="col-md-2 control-label">@ItemMaster.IC @ItemMaster.To</label>
                    <div class="col-md-2">
                        @Html.TextBox(ItemMaster.IC + ItemMaster.To, "", new { @Id = "ItemCodeTo", @Name = "ItemCodeTo", @placeholder = ItemMaster.To, @class = "form-control" })
                    </div>
                    <div class="col-md-2">
                        <button type="button" class="btn btn-success btn-ls" data-toggle="modal" data-target="#ItemMasterModal" id="SearchItemTo">
                            <span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search
                        </button>
                    </div>
                </div>
                <div class="row">
                    <label class="col-md-2 control-label">@ItemMaster.VEN @ItemMaster.From</label>
                    <div class="col-md-2">
                        @Html.TextBox(PurchaseOrders.Vendor + ItemMaster.From, "", new { @Id = "VendorFrom", @Name = "VendorFrom", @placeholder = ItemMaster.From, @class = "form-control" })
                    </div>
                    <div class="col-md-2">
                        <button type="button" class="btn btn-success btn-ls" data-toggle="modal" data-target="#VendorModal"
                                onclick="setVendorFocus('VendorFrom')" id="SearchVendorFrom" name="SearchVendorFrom">
                            <span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search
                        </button>
                    </div>
                    <label class="col-md-2 control-label">@ItemMaster.VEN @ItemMaster.To</label>
                    <div class="col-md-2">
                        @Html.TextBox(PurchaseOrders.Vendor + ItemMaster.To, "", new { @Id = "VendorTo", @Name = "VendorTo", @placeholder = ItemMaster.To, @class = "form-control" })
                    </div>
                    <div class="col-md-2">
                        <button type="button" class="btn btn-success btn-ls" data-toggle="modal" data-target="#VendorModal"
                                onclick="setVendorFocus('VendorTo')" id="SearchVendorTo" name="SearchVendorTo">
                            <span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search
                        </button>
                    </div>
                </div>
                <div class="row">
                    <label class="col-md-2 control-label">@ItemMaster.IIG</label>
                    <div class="col-md-4">
                        @Html.DropDownList("ItemGroup", new SelectList(
                            Model.Item3,
                            "ItmsGrpCod",
                            "ItmsGrpNam"), new { @Id = "ItemGroup", @Name = "ItemGroup", @class = "form-control" })
                    </div>
                </div>
                <div class="row separador_whs">
                    <div class="col-md-12">
                        <button id="ViewInventoryStatus" class="btn btn-success btn-ls pull-left"><span class="glyphicon glyphicon-eye-open"></span> @PurchaseOrders.View</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-6 col-sm-6 col-xs-12">
        <div class="panel panel-default padding-bottom_whs">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@ItemMaster.Warehouse</h3>
            </div>
            <div class="panel-body limitador_whs">
                <div id="ItemsWarehouse" class="table-responsive ">
                    @Html.Partial("_WarehouseList", Model.Item1)
                </div>
            </div>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@PurchaseOrders.Information</h3>
    </div>
    <div class="panel-body">
        <div id="ItemsTable" class="table-responsive">
            <div class="table-responsive responsive table_cart">
                <table id="assetListInventory-data-table" class="table table-striped table-hover display" style="width:100%;"></table>
                <script type="text/javascript">
                            var assetListInventory;
                            $(function () {
                                assetListInventory = {
                                    dt: null,
                                    init: function () {
                                        dt = $('#assetListInventory-data-table').DataTable({
                                            "autoWidth": true,
                                            "serverSide": true,
                                            "processing": true,
                                            "destroy": true,
                                            "searching": false,
                                            "data": null,
                                            "dom": 'Blfrtip',
                                            "buttons": "['copy', 'excel', 'pdf']",
                                            "ajax": {
                                                "url": "/MasterData/InventoryStatus/_InventoryStatus",
                                                "type": "POST",
                                                "data": function (data) {
                                                    data.pItemCodeFrom = $("#ItemCodeFrom").val();
                                                    data.pItemCodeTo = $("#ItemCodeTo").val();
                                                    data.pVendorFrom = $("#VendorFrom").val();
                                                    data.pVendorTo = $("#VendorTo").val();
                                                    data.pItemGroup = $("#ItemGroup").val();
                                                }
                                            },
                                            "columns": [
                                                { "title": "@ItemMaster.IC", "data": "ItemCode", "name": "ItemCode" },
                                                { "title": "@ItemMaster.ID", "data": "ItemName", "name": "ItemName" },
                                                { "title": "@ItemMaster.IS", "data": "OnHand", "name": "OnHand", "className": "text-right"  },
                                                { "title": "@ItemMaster.Comitted", "data": "IsCommited", "name": "IsCommited", "className": "text-right"  },
                                                { "title": "@ItemMaster.Ordered", "data": "OnOrder", "name": "OnOrder", "className": "text-right"  },
                                                { "title": "@ItemMaster.Available", "data": "Available", "name": "Available", "className": "text-right" }
                                            ],
                                            "lengthMenu": [10, 25, 50, 75, 100],
                                            language: {
                                                processing: "@DataTables.Processing",
                                                lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                                                info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                                                paginate: {
                                                    previous: "@DataTables.Previous",
                                                    next: "@DataTables.Next"
                                                }
                                            }
                                        });
                                        //$('div.dataTables_filter input').attr('placeholder', 'Search');
                                        //$('div.dataTables_filter input').addClass('form-control search-query input-sm');
                                        //$('div.dataTables_filter').attr('style', 'float:left !important');
                                        //$('div.dataTables_length select').addClass('form-control input-sm pull-right');
                                        //$('div.dataTables_length').attr('style', 'float:right !important');
                                    },
                                    refresh: function () {
                                        dt.ajax.reload();
                                    }
                                }
                            });
                </script>
            </div>
        </div>
    </div>
</div>
@*Modal Items List*@
@*<div tabindex="-1" class="modal fade" id="ItemMasterModal" role="dialog" aria-hidden="false" aria-labelledby="myModalLabel" style="display: block;">*@
<div class="modal fade" id="ItemMasterModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button class="close" aria-hidden="true" type="button" data-dismiss="modal">×</button>
                <h4 class="modal-title" id="myModalLabel">Buscar </h4>
            </div>
            <div>
                <div class="bs-example">
                    <div class="col-md-12" style="padding-top:0px;">
                        <div class="row">
                            <div class="col-md-12">
                                <label class="checkbox-inline">
                                    <input name="ckCatalogueNum" id="ckCatalogueNum" type="checkbox">Buscar Por Numero de catalogo del SN.
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">Código</label>
                            <div class="col-md-9">
                                <input name="Code" class="form-control" id="UDF_Code" type="text" placeholder="Código" value="">
                            </div>
                        </div>
                        <div class="row" id="BPCatalogCodeRow" style="display: none;">
                            <label class="col-md-3 control-label">Numero de catalogo del SN.</label>
                            <div class="col-md-9">
                                <input name="BPCatalogCode" class="form-control" id="BPCatalogCode" type="text" placeholder="Numero de catalogo del SN." value="">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">Nombre</label>
                            <div class="col-md-9">
                                <input name="Name" class="form-control" id="UDF_Name" type="text" placeholder="Nombre" value="">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">Item Inventariado</label>
                            <div class="col-md-9">
                                <select name="dropdownInvItem" class="form-control" id="dropdownInvItem">
                                    <option selected="selected" value="">Todos</option>
                                    <option value="Y">Yes</option>
                                    <option value="N">No</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button class="btn btn-success btn-ls pull-right " id="SearchItems" onclick="fat_modal_body($('.modal'))" type="button"><span class="glyphicon glyphicon-search"></span> Buscar</button>
                    </div>
                </div>
                <div class="panel-body udf_box_limitado" id="ModalItemsTable" style="height: auto; max-height: 541px;">
                    <div class="table-responsive responsive table_cart" id="TableListItems">
                        <table class="table display" id="assets-data-table-ListItems" style="width:100%;"></table>
                        <script type="text/javascript">
                                    var assetListVM_ListItems;
                                    $(function () {
                                        assetListVM_ListItems = {
                                            dt: null,
                                            init: function () {
                                                this.dt = $('#assets-data-table-ListItems').DataTable({
                                                    "autoWidth": true,
                                                    "serverSide": true,
                                                    "processing": true,
                                                    "data": null,
                                                    "dom": '<"top"lp>rt<"bottom"ip>',
                                                    "select": {
                                                        "style": 'os',
                                                        "selector": 'td:first-child'
                                                    },
                                                    "ajax": {
                                                        "url": "/MasterData/InventoryStatus/_Items",
                                                        "type": 'POST',
                                                        "data": function (data) {
                                                            var mListSearchUDF = $("input[id^=SearchItemUDF_]");
                                                            var mListSearchUDFSelect = $("select[id^=SearchItemUDF_]");
                                                            var mMappedUDFList = [];
                                                            for (i = 0; i < mListSearchUDF.length; i++) {
                                                                mMappedUDFList.push({
                                                                    UDFName: mListSearchUDF[i].id.substring(14),
                                                                    Value: $("#" + mListSearchUDF[i].id).val(),
                                                                });
                                                            }
                                                            for (i = 0; i < mListSearchUDFSelect.length; i++) {
                                                                mMappedUDFList.push({
                                                                    UDFName: mListSearchUDFSelect[i].id.substring(14),
                                                                    Value: $("#" + mListSearchUDFSelect[i].id).val(),
                                                                });
                                                            }
                                                            data.pPageKey = $('#Pagekey').val();
                                                            data.pMappedUdf = mMappedUDFList;
                                                            data.pItemCode = $("#UDF_Code").val();
                                                            data.pItemName = $("#UDF_Name").val();
                                                            data.pCkCatalogueNum = $('#ckCatalogueNum').is(':checked');
                                                            data.pCardCode = $("#txtCodeVendor").val();
                                                            data.pBPCatalogCode = $("#BPCatalogCode").val();
                                                            data.pInventoryItem = $("#dropdownInvItem").val();
                                                        }
                                                    },
                                                    "columns": [
                                                        { "title": "C&#243;digo de Item", "data": "ItemCode", "name": "ItemCode" },
                                                        { "title": "Nombre", "data": "ItemName", "name": "ItemName" },
                                                        {
                                                            "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                            "render": function (data, type, full, meta) {
                                                                var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetItem('" + data.ItemCode + "');\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @ItemMaster.Select</button>";
                                                                return mReturnValue;
                                                            }
                                                        }
                                                    ],
                                                    "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]]
                                                });
                                            },
                                            refresh: function () {
                                                this.dt.ajax.reload();
                                            }
                                        }
                                    });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-default" type="button" data-dismiss="modal">Cancelar</button>
                <button class="btn btn-primary" id="btnChoose" type="button">Elegir</button>
            </div>
        </div>
    </div>
</div>

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">Search Vendor</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@ItemMaster.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @ItemMaster.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@ItemMaster.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @ItemMaster.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @ItemMaster.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/MasterData/InventoryStatus/_Vendors",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@(ItemMaster.Code)", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@(ItemMaster.Name)", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@(ItemMaster.Type)", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@ItemMaster.Customer"; break;
                                                        case "S": return "@ItemMaster.Vendor"; break;
                                                        case "L": return "@ItemMaster.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @ItemMaster.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                @*<button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>*@
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/InventoryStatus")
